Skip to main content
`Ctrl`+`K`

# DMLabelViewFromOptions

View a `DMLabel` in a particular way based on a request in the options database

## Synopsis

    #include "petscdmlabel.h"
    #include "petscsection.h"
    PetscErrorCode DMLabelViewFromOptions(DMLabel label, PeOp PetscObject obj, const char name[])

Collective

## Input Parameters

- label - the `DMLabel` object

- obj - optional object that provides the prefix for the options database (if `NULL` then the prefix in `obj` is used)

- name - option string that is used to activate viewing

## Options Database Key

- -name [viewertype][:…] - option name and values. See `PetscObjectViewFromOptions()` for the possible arguments

## See Also

DM Basics, `DMLabel`, `DMLabelView()`, `PetscObjectViewFromOptions()`, `DMLabelCreate()`

## Level

intermediate

## Location

src/dm/label/dmlabel.c

Index of all DMLabel routines
Table of Contents for all manual pages
Index of all manual pages